package dashboard

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/api"
	"shylinux.com/x/operation/src/dashboard/model"
)

type cleanup struct {
	Tables
	portal     Portal
	order      string `data:"3"`
	placeTrash string `name:"placeTrash" help:"清理"`
}

func (s cleanup) PlaceTrash(m *ice.Message, arg ...string) {
	m.Cmd("").Table(func(value ice.Maps) {
		if value[model.AUTH_UID] != "" {
			s.AutoCmd(m, api.RENZHENGSHOUQUAN_PORTAL, s.portal.PlaceTrash, kit.Dict(model.UID, value[model.AUTH_UID]))
		}
		s.AutoCmd(m, value[model.INDEX], s.portal.PlaceTrash, value)
	})
}
func (s cleanup) List(m *ice.Message, arg ...string) {
	m.Cmd("service").Table(func(value ice.Maps) {
		s.AutoCmdy(m, value[model.INDEX], s.portal.PlaceCheck)
	})
	m.Action(s.PlaceTrash)
	m.DisplayTable()
}

func init() { ice.TeamCtxCmd(cleanup{}) }
